package com.steerinfo.dil.wsdlTest;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.steerinfo.dil.wsdl.LoginUtil;
import com.steerinfo.dil.wsdl.ServiceInfo;
import com.steerinfo.dil.wsdl.WSContext;


public class TestFaceFacade {
    public static void main(String args[]) {
//        要先登陆EAS才能调用后续接口，登录传递参数说明如下：
//        String userName	//EAS登录用户名，可以是user或其他有效的用户名
//        String password	//EAS用户登录密码
//        String slnName	//eas
//        String dcName	//注册的数据中心名称
//        String language	//登录的语言
//        Int32 dbType	//数据类型，0：MSSQL，1：ORACLE
        //DeleteServiceInfo service = new DeleteServiceInfo("user", "lth3690", "eas", "A005", "L2", 1);
        //DeleteServiceInfo service = new DeleteServiceInfo("01514","321","eas","EAS1101","l2",1);
        //DeleteServiceInfo service = new DeleteServiceInfo("user", "kduser", "eas", "CSTO_UAT", "L2", 0);
//        DeleteServiceInfo service = new DeleteServiceInfo("user", "dgjt@kingdee", "eas", "FDDGEAS85", "L2", 1);
//        DeleteServiceInfo service = new DeleteServiceInfo("user", "lth3690", "eas", "A001", "L2", 1);
        //DeleteServiceInfo service = new DeleteServiceInfo("user", "user2019", "eas", "EASTEST", "L2", 1);
//        DeleteServiceInfo service = new DeleteServiceInfo("user", "kduser", "eas", "D001", "L2", 1);
        //service.setServername("172.16.62.243","56898");//地址和端口号
        //service.setServername("10.99.0.2","56898");//地址和端口号
//        service.setServername("10.192.200.28","56898");//地址和端口号
        //service.setServername("125.68.188.158","6888");//地址和端口号
        //service.setServername("10.192.106.5","6888");//地址和端口号
        //service.setServername("10.192.200.28" , "56898");
        //service.setServername("192.168.55.110" , "56898");
        //service.setServername("127.0.0.1" , "56898");
//        service.setServername("172.16.62.243" , "56898");
//        service.setServername("172.16.33.111" , "8900");
//        service.setServername("172.16.62.243" , "56898");
//        DeleteServiceInfo service = new DeleteServiceInfo("黄英", "123", "eas", "NT11", "L2", 1);
//        service.setServername("172.16.200.57" , "6888");

//        DeleteServiceInfo service = new DeleteServiceInfo("user", "dgjt@kingdee", "eas", "FDDGEAS85", "L2", 1);//正式账套
        ServiceInfo service = new ServiceInfo("user", "dgjt@kingdee", "eas", "A004", "L2", 1);//测试服务器正式账套
//        DeleteServiceInfo service = new DeleteServiceInfo("user", "dgjt@kingdee", "eas", "zseas85", "L2", 1);//本地远程正式
//        DeleteServiceInfo service = new DeleteServiceInfo("user", "dgjt@kingdee", "eas", "zseas85", "L2", 1);//远程测试
//        service.setServername("172.16.62.243" , "56898");//远程开发机bos地址
//        service.setServername("172.16.33.111" , "8888");//正式服务器
        service.setServername("172.16.62.243" , "8888");//测试服务器
//        service.setServername("172.16.49.135" , "56898");
//        service.setServername("127.0.0.1" , "56898");//本机

        long startT = System.currentTimeMillis();

        WSContext wsContext = LoginUtil.doEASLogin(service);

        String sessionId = wsContext.getSessionId();
        if(null == sessionId) {
            System.out.println("[error]: 登陆有问题");
            return;
        }

        try {
            String result = null;
//            DeleteWSFaceFacadeSrvProxyServiceLocator locator = new DeleteWSFaceFacadeSrvProxyServiceLocator();
            DeleteWSFaceFacadeSrvProxyServiceLocator locator = new DeleteWSFaceFacadeSrvProxyServiceLocator();
            String json ="{\n" +
                    "    \"input\": {\n" +
                    "        \"head\": {\n" +
                    "            \"number\": \"XSDD-20220427-00049063\",\n" +
                    "            \"wholeOrder\": \"1\",\n" +
                    "            \"status\": \"close\",\n" +
                    "            \"reason\": \"原因\"\n" +
                    "        }\n" +
                    "    },\n" +
                    "    \"context\": {\n" +
                    "        \"logError\": true,\n" +
                    "        \"logData\": true\n" +
                    "    },\n" +
                    "    \"login\": {\n" +
                    "        \"password\": \"dgjt@kingdee\",\n" +
                    "        \"dcName\": \"A004\",\n" +
                    "        \"dbType\": \"0\",\n" +
                    "        \"userName\": \"user\"\n" +
                    "    },\n" +
                    "    \"command\": \"saveSaleOrderBillHandler\"\n" +
                    "}";
            String res = locator.getWSFaceFacade().invokeJson(json);
            JSONObject request = JSON.parseObject(res);
            String output = request.getString("output");
            String requestException = request.getString("exception");
            System.out.println("成功："+output);
            System.out.println("失败："+requestException);
            System.out.println("返回值："+request);
//            String outResult = FaceEncryptUtil.AES_Decrypt(output, "FXXT");
//            System.out.println(res);//调用接口后返回的结果数据
//            System.out.println(outResult);
        } catch (Exception e) {
            e.printStackTrace();
        }

    }
}
